From 2faa21ca588f0af51fbd69b4d37dd5c82f8bb5cd Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 21:05:47 -0500
Subject: [PATCH 25/26] avoid shadow vars: autovacuum.c: db

commit e2a186b03cc1a87cf26644db18f28a20f10bd739
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Mon Apr 16 18:30:04 2007 +0000

    Add a multi-worker capability to autovacuum.  This allows multiple worker
---
 src/backend/postmaster/autovacuum.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/postmaster/autovacuum.c b/src/backend/postmaster/autovacuum.c
index 70a9176c54c..9d5ddb80974 100644
--- a/src/backend/postmaster/autovacuum.c
+++ b/src/backend/postmaster/autovacuum.c
@@ -1102,14 +1102,14 @@ rebuild_database_list(Oid newdb)
 		 */
 		for (i = 0; i < nelems; i++)
 		{
-			avl_dbase  *db = &(dbary[i]);
+			avl_dbase  *thisdb = &(dbary[i]);
 
 			current_time = TimestampTzPlusMilliseconds(current_time,
 													   millis_increment);
-			db->adl_next_worker = current_time;
+			thisdb->adl_next_worker = current_time;
 
 			/* later elements should go closer to the head of the list */
-			dlist_push_head(&DatabaseList, &db->adl_node);
+			dlist_push_head(&DatabaseList, &thisdb->adl_node);
 		}
 	}
 
-- 
2.17.1

